<?php
error_reporting(0);
//----------
include ('inc/config.inc.php.php');
//----------
ini_set('session.use_cookies', '0');
ini_set('session.use_trans_sid', '0');
//----------
session_name('sid');
session_start();
$rands = rand(1000, 10000);
//----------
connect_to_db();
include ('inc/autorize.php.php');
//-----------
$partner = intval($_GET['partner']); if ($partner == 0) $partner = 1;
//----------
$arr = mysql_query("SELECT COUNT(*) FROM `love_partner`;");
$part_users = mysql_result($arr, 0);
if($partner > $part_users) $partner = 1;
//----------
$partner_arr = @mysql_query("SELECT * FROM `love_partner` WHERE `partner` = ".$partner." LIMIT 1;");
$row = @mysql_fetch_array($partner_arr);
$partner_site = $row['site'];
$partner_name = $row['name'];
//----------
function sid(){
$br = $_SERVER['HTTP_USER_AGENT'];
$ip = $_SERVER['REMOTE_ADDR'];
return substr(base64_encode($ip.$br),0,24);
}
if(!empty($_POST['go']))
{
session_id($_POST['sid']);
session_start();
define(new_session,false);
}
else
{
define(new_session,true);
session_start();
$code = rand(100, 999);
$_SESSION['code'] = $code;
}
//----------
$title = 'Обратная связь';
include ('header.php');
echo $header;
if($mod == '1') echo '<p align="center"><small>';
//----------
if(!isset($_POST['go']) || new_session) {
echo $class_d2;
echo 'Обратная связь<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo 'Пожайлуста, внимательно и корректно заполните поля формы обратной связи.<br/>';
echo $class_divz;
if($mod == '1') {
echo '---<br/>';
echo 'Представьтесь:</small><br/>';
echo '<input name="nm'.$rands.'" type="text" maxlength="40" /><br/>';
echo '<select name="nm1'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Тема:</small><br/>';
echo '<select name="nm2'.$rands.'">';
for($i = 1; $i <= 4; $i++) {
$nm1_array = array("", "По общим вопросам", "Службе технической поддержки", "Пожелания и замечания", "Сотрудничество");
echo '<option value="'.$i.'">'.$nm1_array[$i].'</option>';
}
echo '</select><br/>';
echo '<small>E-mail (если есть):</small><br/>';
echo '<input name="nm3'.$rands.'" type="text" maxlength="40" /><br/>';
echo '<small>ICQ (если есть):</small><br/>';
echo '<input name="nm4'.$rands.'" type="text" maxlength="15" /><br/>';
echo '<small>Текст вопроса (max.500):</small><br/>';
echo '<input name="nm5'.$rands.'" type="text" maxlength="500" /><br/>';
echo '<select name="nm6'.$rands.'"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo '<small>Введите код:</small><br/>';
echo '<small><img src="/antireg.php?'.session_name().'='.session_id().'" alt="code"/></small><br/>';
echo '<input name="nm7'.$rands.'" type="text" size="3" maxlength="3" /><br/>';
echo '<small><anchor>Отправить<go href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'" method="post">';
echo "<postfield name='nm' value='$(nm".$rands.")' />";
echo "<postfield name='nm1' value='$(nm1".$rands.")' />";
echo "<postfield name='nm2' value='$(nm2".$rands.")' />";
echo "<postfield name='nm3' value='$(nm3".$rands.")' />";
echo "<postfield name='nm4' value='$(nm4".$rands.")' />";
echo "<postfield name='nm5' value='$(nm5".$rands.")' />";
echo "<postfield name='nm6' value='$(nm6".$rands.")' />";
echo "<postfield name='nm7' value='$(nm7".$rands.")' />";
echo "<postfield name='go' value='go' />";
echo "<postfield name='".session_name()."' value='".session_id()."' />";
echo "<postfield name='small_sid' value='".sid()."' />";
echo '</go></anchor><br/>';
echo '---<br/>';
}
else
{
echo '<form method="post" action="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">';
echo $class_d0;
echo 'Представьтесь:<br/>';
echo '<input name="nm" type="text" maxlength="40" class="button" /><br/>';
echo '<select name="nm1" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo 'Тема:<br/>';
echo '<select name="nm2" class="button">';
for($i = 1; $i <= 4; $i++) {
$nm1_array = array("", "По общим вопросам", "Службе технической поддержки", "Пожелания и замечания", "Сотрудничество");
echo '<option value="'.$i.'">'.$nm1_array[$i].'</option>';
}
echo '</select><br/>';
echo 'E-mail (если есть):<br/>';
echo '<input name="nm3" type="text" maxlength="40" class="button" /><br/>';
echo 'ICQ (если есть):<br/>';
echo '<input name="nm4" type="text" maxlength="15" class="button" /><br/>';
echo 'Текст вопроса (max.500):<br/>';
echo '<input name="nm5" type="text" maxlength="500" class="button" /><br/>';
echo '<select name="nm6" class="button"><option value="0">Как есть</option><option value="1">Транслит</option></select><br/>';
echo 'Введите код:<br/>';
echo '<img src="antireg.php?'.session_name().'='.session_id().'" alt="code"/><br/>';
echo '<input name="nm7" type="text" size="3" maxlength="3" class="button" /><br/>';
echo '<input type="hidden" name="go" value="go" />';
echo '<input type="hidden" name="'.session_name().'" value="'.session_id().'" />';
echo '<input type="hidden" name="small_sid" value="'.sid().'" />';
echo '<input type="submit" value="Отправить" class="do_button" />';
echo $class_divz;
echo '</form>';
}
echo $class_d0;
echo '&#171;- <a href="index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
echo $class_divz;
if($mod == '1') echo '---<br/>';
}
else
{
// Имя
$nm = mysql_escape_string(htmlspecialchars($_POST['nm']));
$nm = substr($nm, 0, 40);
// Транслит
$nm1 = intval($_POST['nm1']);
if($nm1 == 1) $nm = translit($nm);
//Тема
$nm2 = intval($_POST['nm2']);
$nm2_array = array("", "По общим вопросам", "Службе технической поддержки", "Пожелания и замечания", "Сотрудничество");
// Мыло
$nm3 = $_POST['nm3'];
$nm3 = substr($nm3, 0, 40);
// ICQ
$nm4 = mysql_escape_string(htmlspecialchars($_POST['nm4']));
$nm4 = substr($nm4, 0, 15);
// Текст вопроса
$nm5 = mysql_escape_string(htmlspecialchars($_POST['nm5']));
$nm5 = substr($nm5, 0, 500);
// Транслит
$nm6 = intval($_POST['nm6']);
if($nm6 == 1) $nm5 = translit($nm5);
// Код
$nm7 = intval($_POST['nm7']);
$nm7 = substr($nm7, 0, 3);
//----------
if(empty($error)) $error = '';
if(empty($nm)) $error = $error. 'Введите имя!<br/>';
if(empty($nm2)) $error = $error. 'Не выбрана тема!<br/>';
if (!empty($nm3)) {
if (!preg_match("/[0-9a-z_]+@[0-9a-z_\-^\.]+\.[a-z]{2,4}/i", $nm3)) $error = $error. 'Адрес электронной почты должен быть в формате mail@host.com!<br/>';
}
if(empty($nm5)) $error = $error. 'Необходимо заполнить текст вопроса!<br/>';
if($nm7 != $_SESSION['code']) $error = $error. 'Код на картинке и введенный код не совпадают!<br/>';
//----------
if(!empty($error))
{
echo $class_d2;
echo 'Ошибка!<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo $error;
if($mod == '1') echo '---<br/>';
echo $class_divz.$class_d0;
echo '&#171;- <a href="'.$PHP_SELF.'?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Вернуться</a><br/>';
echo $class_divz.$class_d1;
if($mod == '1') echo '---<br/>';
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;
exit();
}

if($_POST['sid'] == session_id() && $_POST['small_sid'] == sid()) {
$reg = mysql_query("INSERT INTO `love_support` SET `name` = '".$nm."', `tema` = '".$nm2_array[$nm2]."', `email` = '".$nm3."', `icq` = '".$nm4."', `msg` = '".$nm5."', `time` = '".date("d-m-Y H:i")."';");
if($reg)
{
echo $class_d2;
echo 'Обратная связь<br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '</small></p><p align="left"><small>';
echo '<b>Ваше сообщение успешно отправлено!</b><br/>';
echo $class_divz.$class_d0;
if($mod == '1') echo '---<br/>';
echo '&#171;- <a href="/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.$srand.'='.$r_rand.'&amp;'.session_name().'='.session_id().'">Назад</a><br/>';
if($mod == '1') echo '---<br/>';
echo $class_divz;
}
else
{
echo $class_d0;
echo 'Ошибка!<br/>';
echo mysql_error().'<br/>';
echo $class_divz;
}
session_destroy();
}
}
echo $class_d1;
if (!$autorize) {
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/auth.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Вход</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/reg.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Регистрация</a><br/>';
}
else
{
echo '[7] <a href="http://'.$_SERVER['HTTP_HOST'].'/index.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="7">Поиск</a> [8] <a href="http://'.$_SERVER['HTTP_HOST'].'/menu.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="8">Личное меню</a> [9] <a href="http://'.$_SERVER['HTTP_HOST'].'/out.php?partner='.$partner.'&amp;mod='.$mod.'&amp;'.session_name().'='.session_id().'" accesskey="9">Выход</a><br/>';
}
if($mod == '1') echo '</small></p><p align="center"><small>';
echo $class_divz.$class_d2;
echo $class_divz.$class_d2.$class_version.$class_divz.$class_div;
echo $class_endpage;

?>